Bug 10367 - Allow packages to work on debian wheezy
Summary: Allow packages to work on debian wheezy
Status: CLOSED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: Packaging (show other bugs)
Version: 3.10
Hardware: All All
: P5 - low enhancement (vote)
Assignee: Robin Sheat
QA Contact: Jonathan Druart
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2013-05-29 02:05 UTC by Robin Sheat
Modified: 2014-12-07 20:02 UTC (History)
6 users (show)

See Also:
Change sponsored?: ---
Patch complexity: ---
Who signed the patch off:
Text to go in the release notes:
Version(s) released in:


Attachments
Bug 10367 - update the rules and control file for wheezy (2.83 KB, patch)
2013-05-29 05:33 UTC, Robin Sheat
Details | Diff | Splinter Review
Bug 10367 - update the rules and control file for wheezy (2.89 KB, patch)
2013-05-29 11:25 UTC, Jonathan Druart
Details | Diff | Splinter Review
Bug 10367 - [3.12] update the rules and control file for wheezy (2.87 KB, patch)
2013-05-30 03:16 UTC, Robin Sheat
Details | Diff | Splinter Review
Bug 10367 - [3.10] update the rules and control file for wheezy (2.32 KB, patch)
2013-05-30 03:33 UTC, Robin Sheat
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Robin Sheat 2013-05-29 02:05:34 UTC
Some (hopefully minor) changes are required to the packages to make them work on Debian Wheezy. Ideally these changes would also permit it to work on Squeeze at the same time.
Comment 1 Robin Sheat 2013-05-29 03:51:39 UTC
These are the packages that, on a first pass, don't exist in wheezy.

These we already have packages for:

libdata-paginator-perl libmodule-bundled-files-perl libtemplate-plugin-htmltotext-perl 

This no longer exists:

tinymce2
Comment 2 Robin Sheat 2013-05-29 05:33:11 UTC Comment hidden (obsolete)
Comment 3 Robin Sheat 2013-05-29 05:34:13 UTC
A quick bit of testing illustrated that tinymce, which is version 3, works just as well as tinymce2. Koha as a whole should probably switch.
Comment 4 Jonathan Druart 2013-05-29 11:25:01 UTC
QA comment:

# cat /etc/debian_version
7.0
# aptitude search tinymce
p   python-django-tinymce                                                                                          - replacement text widget for Django web framework                                                                         
p   tinymce                                                                                                        - platform independent web based Javascript/HTML WYSIWYG editor                                                            
# aptitude search libfile-slurp-perl
i A libfile-slurp-perl                                                                                             - single call read & write file routines                                                                                   
# aptitude search libtest-www-mechanize-perl
i A libtest-www-mechanize-perl
# git grep tinymce2
returns no result.

Marked as Passed QA.
Comment 5 Jonathan Druart 2013-05-29 11:25:17 UTC Comment hidden (obsolete)
Comment 6 Galen Charlton 2013-05-29 15:10:03 UTC
Pushed to master.  Thanks, Robin!
Comment 7 Galen Charlton 2013-05-29 15:18:00 UTC
(In reply to comment #3)
> A quick bit of testing illustrated that tinymce, which is version 3, works
> just as well as tinymce2. Koha as a whole should probably switch.

Upon checking, Koha already has.  Bug 9172, in addition to moving TinyMCE out of its language-specific directory, bumped up the version bundled with Koha to 3.5.8.
Comment 8 Robin Sheat 2013-05-29 20:41:31 UTC
(In reply to comment #7)
> Upon checking, Koha already has.  Bug 9172, in addition to moving TinyMCE
> out of its language-specific directory, bumped up the version bundled with
> Koha to 3.5.8.

Oh excellent. I think I was basing my comment there on old information then.
Comment 9 Robin Sheat 2013-05-30 03:16:18 UTC Comment hidden (obsolete)
Comment 10 Robin Sheat 2013-05-30 03:17:34 UTC
This patch is actually identical to the one for master with a different commit message, turns out master and 3.12 are close enough that it works. Not too surprising really.
Comment 11 Robin Sheat 2013-05-30 03:21:56 UTC
PS: Jonathan, thanks for letting me know that 'git grep' is a thing that exists. I can see it being useful.
Comment 12 Robin Sheat 2013-05-30 03:33:32 UTC
Created attachment 18484 [details] [review]
Bug 10367 - [3.10] update the rules and control file for wheezy

This updates the control file to use tinymce rather than
tinymce2, as tinymce2 is deprecated and no longer in Debian.
Comment 13 Robin Sheat 2013-05-30 03:36:04 UTC
The 3.10 patch is a reasonably different patch, due to recent changes that aren't in that one.
Comment 14 Tomás Cohen Arazi 2013-05-30 13:47:46 UTC
The 3.12 version of this patch has been pushed to 3.12.x, will be in 3.12.1.
Comment 15 Bernardo Gonzalez Kriegel 2013-06-06 00:42:21 UTC
3.10 version of this patch has been pushed to 3.10.x, will be in 3.10.7
Comment 16 Chris Hall 2013-06-12 08:14:49 UTC
Cherry picking this patch from 3.10.x didn't apply cleanly, had some issues around debian/control and debian/control.in

Is it possible for you to submit a version for 3.8.x?